package com.chenyang.nse.bussiness.entity.vo.datascope;

import com.chenyang.nse.bussiness.entity.cache.LoginUser;

public class ComplianceDirectoryReqVO {
   private ComplianceDirectoryVO complianceDirectoryVO;
   private LoginUser loginUser;

   public ComplianceDirectoryVO getComplianceDirectoryVO() {
      return this.complianceDirectoryVO;
   }

   public LoginUser getLoginUser() {
      return this.loginUser;
   }

   public void setComplianceDirectoryVO(final ComplianceDirectoryVO complianceDirectoryVO) {
      this.complianceDirectoryVO = complianceDirectoryVO;
   }

   public void setLoginUser(final LoginUser loginUser) {
      this.loginUser = loginUser;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ComplianceDirectoryReqVO)) {
         return false;
      } else {
         ComplianceDirectoryReqVO other = (ComplianceDirectoryReqVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$complianceDirectoryVO = this.getComplianceDirectoryVO();
            Object other$complianceDirectoryVO = other.getComplianceDirectoryVO();
            if (this$complianceDirectoryVO == null) {
               if (other$complianceDirectoryVO != null) {
                  return false;
               }
            } else if (!this$complianceDirectoryVO.equals(other$complianceDirectoryVO)) {
               return false;
            }

            Object this$loginUser = this.getLoginUser();
            Object other$loginUser = other.getLoginUser();
            if (this$loginUser == null) {
               if (other$loginUser != null) {
                  return false;
               }
            } else if (!this$loginUser.equals(other$loginUser)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof ComplianceDirectoryReqVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $complianceDirectoryVO = this.getComplianceDirectoryVO();
      result = result * 59 + ($complianceDirectoryVO == null ? 43 : $complianceDirectoryVO.hashCode());
      Object $loginUser = this.getLoginUser();
      result = result * 59 + ($loginUser == null ? 43 : $loginUser.hashCode());
      return result;
   }

   public String toString() {
      return "ComplianceDirectoryReqVO(complianceDirectoryVO=" + this.getComplianceDirectoryVO() + ", loginUser=" + this.getLoginUser() + ")";
   }
}
